List project tickets
curl --request GET \
--url https://app.msportal.ai/api/public/v1/projects/{id}/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/projects/{id}/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/projects/{id}/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/projects/{id}/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/projects/{id}/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/projects/{id}/tickets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/projects/{id}/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"externalTicketId": "<string>",
"summary": "<string>",
"statusName": "<string>",
"statusExternalId": "<string>",
"priorityName": "<string>",
"priorityExternalId": "<string>",
"priorityLevel": "<string>",
"ownerName": "<string>",
"ownerExternalId": "<string>",
"actualHours": 123,
"budgetHours": 123,
"closedFlag": true,
"closedDate": "<string>",
"scheduleStartDate": "<string>",
"scheduleEndDate": "<string>",
"createdAt": "<string>",
"phaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phaseName": "<string>",
"wbsCode": "<string>",
"boardExternalId": "<string>",
"parentTicketExternalId": "<string>",
"childCount": 123,
"internalOnly": true,
"includeInScheduling": true,
"description": "<string>",
"descriptionTruncated": true
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Projects
List project tickets
Tickets (PSA project tasks) with status, owner, priority, phase, hours and schedule dates.
GET
/
api
/
public
/
v1
/
projects
/
{id}
/
tickets
List project tickets
curl --request GET \
--url https://app.msportal.ai/api/public/v1/projects/{id}/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/projects/{id}/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/projects/{id}/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/projects/{id}/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/projects/{id}/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/projects/{id}/tickets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/projects/{id}/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"externalTicketId": "<string>",
"summary": "<string>",
"statusName": "<string>",
"statusExternalId": "<string>",
"priorityName": "<string>",
"priorityExternalId": "<string>",
"priorityLevel": "<string>",
"ownerName": "<string>",
"ownerExternalId": "<string>",
"actualHours": 123,
"budgetHours": 123,
"closedFlag": true,
"closedDate": "<string>",
"scheduleStartDate": "<string>",
"scheduleEndDate": "<string>",
"createdAt": "<string>",
"phaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phaseName": "<string>",
"wbsCode": "<string>",
"boardExternalId": "<string>",
"parentTicketExternalId": "<string>",
"childCount": 123,
"internalOnly": true,
"includeInScheduling": true,
"description": "<string>",
"descriptionTruncated": true
}
],
"pagination": {
"page": 2,
"limit": 50,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Project ID
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Exact (case-insensitive) PSA status name
Owner name contains
true = closed only, false = open only
Summary, external id or WBS code
Maximum string length:
200Was this page helpful?